*, *::before, *::after {
  box-sizing: border-box;
}

/*
  2. Remove default margin
*/
* {
  margin: 0;
  text-decoration: none;
  list-style-type: none;
}

u {
  text-decoration: underline;
}

body {
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  position: absolute;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
}

/*
  6. Improve media defaults
*/
img, picture, video, canvas, svg {
  display: block;
  max-width: 100%;
}

/*
  7. Remove built-in form typography styles
*/
input, button, textarea, select {
  font: inherit;
}

/*
  8. Avoid text overflows
*/
p, h1, h2, h3, h4, h5, h6 {
  overflow-wrap: break-word;
}

/*
  9. Create a root stacking context
*/
#root, #__next {
  isolation: isolate;
}

/* ----------- end of CSS reset code -------------*/
/* Colour scheme for entire website */
/* ********** blues ************/
/* ********** reds ************/
/* ********** greens ************/
/* ********** yellows ************/
/* ********** purples ************/
/* Text variables */
/*Text size */
/* button variables */
/* ---------------- END variables ------------------*/
/* topic colours - the final 'd' refers to the dark form of the colour */
/* *********** topic colours END ********* */
/* ------------------- mixins ------------------*/
/* top | right | bottom | left */
/* ----------- table mixins ----------------*/
/* ----------- repsonsive image mixin --------------*/
body, html {
  max-width: 100vw;
  background-color: #000;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

.nav-container {
  height: 120px;
  display: flex;
  justify-content: space-between;
  background-color: #000;
}
.nav-container .logo {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: space-between;
}
.nav-container .logo p {
  color: #fff;
  padding: 10px 0 10px 20px;
  font-size: 2rem;
  font-family: Verdana, Helvetica, sans-serif;
}
.nav-container .nav-inner {
  display: flex;
  justify-content: space-between;
  align-items: center;
  grid-gap: 20px;
  height: 120px;
  padding: 30px 30px;
}

.nav-item {
  display: flex;
  justify-content: center;
  background-color: #b0c3f0;
  border: 1px solid #000;
  height: 32px;
  min-width: 120px;
  padding: 4px 1px;
  font-size: 0.8rem;
  border-radius: 6px;
  font-family: Verdana, Helvetica, sans-serif;
  font-size: 0.9rem;
  color: #636363;
  line-height: 1.4rem;
}
.nav-item i {
  position: relative;
  top: 5px;
}

.nav-item:hover {
  background-color: #536c8f;
  color: #f4f4f4;
  border: 1px solid #f4f4f4;
}

/* ----------- header --------------*/
main {
  display: grid;
  grid-template-columns: 1fr;
  width: 90%;
  max-width: 1200px;
  margin: 0 auto 0 auto;
  padding: 0 1rem 0 1rem;
  background-color: #000;
}

.fun {
  font-family: Verdana, Helvetica, sans-serif;
  border: 1px solid #ccc;
  background-color: #000;
}
.fun .sh1 {
  font-family: Verdana, Helvetica, sans-serif;
  line-height: 5rem;
  font-size: 1.6rem;
  font: bold;
  color: #000;
  margin-bottom: 2rem;
}

.outer {
  width: 80%;
  max-width: 1000px;
  margin: 1rem auto;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(3, auto);
  gap: 1rem;
}

.item {
  padding: 1rem;
  border: 1px solid #ccc;
  margin: 0 auto;
}

.tom {
  text-align: center;
  color: #fff;
}

div#funmenu {
  position: absolute;
  top: 2px;
  right: 0px;
}

#funmenu ul {
  width: 100%;
  padding: 0;
  margin: 0;
  list-style-type: none;
}

#funmenu a:link, #funmenu a:active, #funmenu a:visited {
  background-color: #536c8f;
  color: #fff;
  float: left;
  width: 120px;
  text-decoration: none;
  text-align: center;
  padding: 0.4em 2px;
  border-right: 1px solid white;
}

#funmenu a:hover {
  background-color: #000;
  color: #ffffdd;
}

#funmenu li {
  display: inline;
}

.sh1 {
  background-color: #b0c3f0;
  border-right-color: #536c8f;
  border-bottom-color: #536c8f;
}

.sh2 {
  background-color: #c5e0b3;
  border-right-color: #7d9f6c;
  border-bottom-color: #7d9f6c;
}
